$default-font-size: 14;

//Convert px to em
@function Rem($size) {
	$rem: $size / $default-font-size;
	@return #{$rem}rem;
}

@mixin fontSize($size) {
	font-size: Rem($size);
}

$InputBorder: #CCC;
$InputRadius: 25px;
$Padding: 15px;
$PaddingBot: 10px;
$marginBot: 23px;
$FontSizeTitleInput: 18px;
$ColorTitleInput: #332a29;
$BgBtnCancel: #b3adad;
$BgBtnNext: #46b38b;
$ColorBtn: #fff;
$bg-line: #1f1f1f;
$border-color: #ddd;

$color-border-media: #cccccc;
$color-success: #46b28b;
$color-dark-desc: #4d4949;
$color-info-lable: #b9b3b3;
$color-border-info-bottom: #fdf8ff;

$title-color: #332a29;
$color-btn: #fff;
$color-time: #b3adad;
$bg-switch-track: #46b28b;


@mixin border-radius($value) {
	-webkit-border-radius: $value;
	-moz-border-radius: $value;
	border-radius: $value;
}

%n-btn {
	@include border-radius(50px);
}

@mixin border-radius($value) {
	-webkit-border-radius: $value;
	-moz-border-radius: $value;
	border-radius: $value;
}

@mixin topCenter($value) {
	-webkit-transform: translateY($value);
	-moz-transform: translateY($value);
	-ms-transform: translateY($value);
	-o-transform: translateY($value);
	transform: translateY($value);
}

.n-step-container {
	.input-group {
		display: block;
		margin-bottom: $marginBot;

		.lable, input, textarea {
			display: block;
			outline: 0;
			width: 100%;
		}

		.lable {
			padding-bottom: $PaddingBot;
			font-size: $FontSizeTitleInput;
			color: $ColorTitleInput;
		}

		input, textarea {
			border: 1px solid $InputBorder;
			padding: 0px $Padding;
			height: 40px;
			-webkit-border-radius: $InputRadius;
			-moz-border-radius: $InputRadius;
			border-radius: $InputRadius;
		}

		.select {
			border: 1px solid $InputBorder;
			-webkit-border-radius: $InputRadius;
			-moz-border-radius: $InputRadius;
			border-radius: $InputRadius;
			padding-left: 2px;
			padding-right: 2px;
			height: 40px;
		}

		textarea {
			resize: none;
			-webkit-border-radius: $InputRadius/5;
			-moz-border-radius: $InputRadius/5;
			border-radius: $InputRadius/5;
			height: 160px;
			padding: 12px 16px;
		}

		.v-select__selections {
			input {
				border: none;
			}
		}
	}
}


.campaign .col {
	width: 50%;
	float: left;
	padding-left: $Padding;
	padding-right: $Padding;
}

.step-navigator {
	margin-top: 0;
	text-align: right;

	.btnNext, .btnCancel {
		background: $BgBtnCancel;
		color: $ColorBtn;
		-webkit-border-radius: $InputRadius;
		-moz-border-radius: $InputRadius;
		border-radius: $InputRadius;
		padding: 0 ($PaddingBot * 4);
		height: 40px;
		width: 140px;

		&:hover {
			background: #999494;
			&:before {
				background: #999494;
			}
		}
	}

	.btnNext {
		background: #46b28b !important;

		&:hover {
			background: #3c9977 !important;
			&:before {
				background: #3c9977 !important;
			}
		}
	}
}
.n-media {
	max-width: 800px;
	border: 1px dashed $color-border-media;
	margin: 0 auto;

	.n-media-card {
		-webkit-box-shadow: none;
		-moz-box-shadow: none;
		box-shadow: none;
	}

	.n-media-box {
		align-items: center;
		text-align: center;

		.n-file-desc {
			font-size: 18px;
			color: $color-dark-desc;
		}

		&:hover {
			.n-play-btn, .n-pause-btn {
				display: block;
			}
		}
	}

	.n-file-box {
		-webkit-box-shadow: none;
		-moz-box-shadow: none;
		box-shadow: none;
	}

	.n-choose-file {
		width: 120px;
		height: 120px;
		background: $color-success !important;

		i {
			font-size: 100px;
		}
	}
}

.n-item-info {
	.n-title {
		padding-left: 30px;
		padding-right: 30px;
		font-size: 16px;
		color: $color-dark-desc;
		flex-direction: column;

		> span {
			text-align: left;
			font-weight: 500;
		}

		&::after {
			content: '';
			display: block;
			background: $color-border-info-bottom;
			height: 1px;
			margin: 15px 0;
		}
	}

	.n-title-label {
		padding-left: 30px;
		font-size: 14px;
		color: $color-info-lable;
	}
	.n-title-text {
		padding-right: 30px;
		font-size: 14px;
		color: $color-dark-desc;
	}
}
.n-calc-box {
	align-self: center;
}
.mediaUpload, .n-media-view {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 5;
	opacity: 0;
}
.n-media-view {
	z-index: 3;
	opacity: 1;

	video {
		max-width: 100%;
	}
}
.n-media-info {
	max-width: 800px;
	margin: 0 auto;

	.n-btn {
		cursor: pointer;
	}
}
.n-player .n-media-box video, .n-player .n-media-view img {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}
.n-player .n-media-view img {
	object-fit: contain;
	object-position: center;
}
.n-center {
	justify-content: center;
}

.n-dialog {
	@include border-radius(8px);

	.n-dialog-content {
		color: $title-color;
		font-size: 16px;
		max-width: 400px;
		padding: 60px 60px 0 60px;
		margin: 0 auto 26px;
		word-break: break-word;
	}

	.n-btn {
		@extend %n-btn;
		color: $color-btn;
		width: 140px;
		text-align: center;
		text-decoration: none;
		padding: 0;
		height: 40px;
		line-height: 40px;
		font-size: 16px;
		display: inline-block;

		&.n-btn-yes {
			background: $color-time;
			margin-right: 16px;
		}

		&.n-btn-no {
			background: $bg-switch-track;
		}
	}

	.n-dialog-actions {
		display: block;
		width: 100%;
		text-align: center;
		margin-bottom: 48px;
	}
}

.n-calc-sidebar {
	background: none;

	.n-calc-sidebar-inner {
		background: #4c4949;
		-webkit-border-radius: 5px;
		-moz-border-radius: 5px;
		border-radius: 5px;
	}

	.calc-item {
		background: none;
		padding: 20px 28px 26px 40px;
		border-top: 1px solid #595555;
		border-radius: 0;

		&.first {
			padding-top: 30px;
			border: 0;
		}
	}
	.calc-item-title {
		font-size: 16px;
		color: #d9d9d9;
	}
	.num-item,
	.n-total{
		font-size: 24px;
		color: #ffffff;
		width: 180px;
		height: 36px;
		background: #454141;
		border-radius: 25px;
		padding: 0 20px;
		text-align: center;
		margin: 0 10px;
	}
	.n-total-title {
		font-size: 32px;
		color: #ef4b4c;
		font-weight: bold;
	}
	.n-total {
		font-size: 32px;
		width: 323px;
		height: 50px;
	}
	.n-item-img {
		max-width: 88px;

		.v-image__image {
			background-size: 99%;
		}
	}
}
.n-step-content-box {
	padding: 0;
	background: #f5f5f5;
}
.n-step-container {
	margin-top: 7px;
	margin-bottom: 7px;
	padding-top: 24px;
	padding-bottom: 24px;
	@include border-radius(5px);
	background: #fff;
	overflow: hidden;
}
.n-row {
	display: block;
	margin: 0 -24px;
}
.n-col {
	padding-left: 15px;
	padding-right: 15px;
}
.n-row-btn {
	display: block;
	margin: 0 -8px;
}
.n-form-row {
	margin: 0 -16px;
}
.n-form-col {
	padding: 0 16px;
}
.time-section > span {
	margin-bottom: 0;
}
.time-title {
	margin-bottom: 10px;
}
.n-options {
	border-top: 1px solid #f5f0f0;
	margin-top: 30px;
}
.n-card-title {
	padding-bottom: 0;
}
.v-slider__ticks>span {
	color: #b3adad;
	font-size: 14px;
}
.n-file-info {
	p {
		font-size: 16px;
		color: #b3adad;
	}
}
.mdc-top-app-bar {
	z-index: 100 !important;
}

// Update UI Media tab
.upoad-file-box {
	border: 1px dashed $color-border-media;

	&:hover {
		.n-play-btn, .n-pause-btn {
			display: block;
		}
	}
}
.file-choose-ui {
	.desc {
		font-size: 18px;
		color: #4d4949;
		font-weight: normal;
		text-align: center;
	}
	.add-icon {
		width: 120px;
		height: 120px;
		background: #46b28b !important;

		i {
			@include fontSize(100);
		}
	}
}
.media-el {
	align-items: center;
	text-align: center;
}
.media-info {
	display: flex;
}
.accept-file {
	text-align: center;
	@include fontSize(16);
	color: #b3adad;
}
.upload-toolbar--title {
	color: #4d4949;
	@include fontSize(16);
}
.upload-toolbar .n-icon.overwrite.upload-icon {
	background: #dff0ea;
	opacity: 1;
	&:hover, &:focus, &:active {
		&::before {
			background: #46b38b;
		}
	}
}
.upload-toolbar .n-icon.overwrite.delete-icon {
	background: #f0dfdf;
	opacity: 1;
	&:hover, &:focus, &:active {
		&::before {
			background: #ef4b4c;
		}
	}
}
.upload-toolbar .n-icon.overwrite i {
	color: transparent;
}
.upload-icon i {
	background: url(~@/assets/images/icons/upload-icon.png) center center no-repeat;
}
.delete-icon i {
	background: url(~@/assets/images/icons/delete-btn.png) center center no-repeat;
}
.n-toolbar {
	border-radius: 5px;
}
.n-upload-container {
	max-width: 800px;
}
.n-container {
	max-width: 1246px;
}
.step-navigator .n-container {
	padding-top: 10px;
}
.n-step-inner {
	background: #fff;
	border-radius: 5px;
	padding-top: 30px;
}
.n-step-content {
	padding-top: 0;
}
